version: '3'
services:
  app:
    container_name: geedeskwebsite
    build: .
    volumes:
      - ./app:/var/www/html
    ports:
      - 8082:80
    environment:
      - APP_ENV=local
      - APP_DEBUG=true
    networks:
      - geedeskweb
    depends_on:
      - db    

  db:
    image: mysql:5.7
    container_name: geedeskwebsitedb
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: geedeskwebsitedb
      MYSQL_ROOT_PASSWORD: password
      MYSQL_USER: krishnan
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - geedeskwebsitedb:/var/lib/mysql
    ports:
      - 8083:3306
    networks:
      - geedeskweb

networks:
    geedeskweb:
        driver: bridge
volumes:
    geedeskwebsitedb:
        driver: local